function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread(); }
function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _iterableToArray(iter) { if (typeof Symbol !== "undefined" && iter[Symbol.iterator] != null || iter["@@iterator"] != null) return Array.from(iter); }
function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) return _arrayLikeToArray(arr); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
import React from 'react';
import { Calendar, CalendarBase, CalendarBaseRange, CalendarDouble, CalendarDoubleRange } from '.';
var baseEvents = [{
  date: /*#__PURE__*/new Date(2022, 5, 6)
}, {
  date: /*#__PURE__*/new Date(2022, 5, 10),
  color: 'red'
}, {
  date: /*#__PURE__*/new Date(2022, 5, 10),
  color: 'green'
}, {
  date: /*#__PURE__*/new Date(2022, 5, 10),
  color: 'blue'
}];
var eventsRange = /*#__PURE__*/_toConsumableArray(new Array(10)).map(function (_, day) {
  return {
    date: new Date(2022, 5, 15 + day),
    color: 'purple'
  };
});
var disabledDays = /*#__PURE__*/_toConsumableArray(new Array(5)).map(function (_, day) {
  return {
    date: new Date(2022, 5, 11 + day)
  };
});
var defaultProps = {
  min: /*#__PURE__*/new Date(2022, 4, 0),
  max: /*#__PURE__*/new Date(2022, 6, 15),
  isDouble: false,
  isRange: false,
  value: /*#__PURE__*/new Date(2022, 5, 6)
};
var onChangeValue = function onChangeValue() {};
var eventListCalendar = /*#__PURE__*/[].concat(baseEvents, /*#__PURE__*/_toConsumableArray(eventsRange));
var date = {
  day: 1,
  monthIndex: 2,
  year: 2022
};
export var Default = function Default() {
  var min = defaultProps.min,
    max = defaultProps.max,
    isDouble = defaultProps.isDouble,
    isRange = defaultProps.isRange,
    value = defaultProps.value;
  return /*#__PURE__*/React.createElement(Calendar, {
    isRange: isRange,
    isDouble: isDouble,
    date: date,
    value: value,
    eventList: eventListCalendar,
    disabledList: disabledDays,
    min: min,
    max: max,
    onChangeValue: onChangeValue
  });
};
var baseProps = {
  min: /*#__PURE__*/new Date(2022, 4, 0),
  max: /*#__PURE__*/new Date(2022, 6, 15),
  type: undefined,
  value: /*#__PURE__*/new Date(2022, 5, 6)
};
export var Base = function Base() {
  var min = baseProps.min,
    max = baseProps.max,
    type = baseProps.type,
    value = baseProps.value;
  return /*#__PURE__*/React.createElement(CalendarBase, {
    value: value,
    eventList: eventsRange,
    disabledList: disabledDays,
    min: min,
    max: max,
    type: type,
    onChangeValue: onChangeValue
  });
};
var doubleProps = {
  min: /*#__PURE__*/new Date(2022, 4, 0),
  max: /*#__PURE__*/new Date(2022, 6, 15),
  value: /*#__PURE__*/new Date(2022, 5, 6)
};
export var Double = function Double() {
  var min = doubleProps.min,
    max = doubleProps.max,
    value = doubleProps.value;
  return /*#__PURE__*/React.createElement(CalendarDouble, {
    value: value,
    eventList: eventsRange,
    disabledList: disabledDays,
    min: min,
    max: max,
    onChangeValue: onChangeValue
  });
};
var rangeProps = {
  min: /*#__PURE__*/new Date(2022, 4, 0),
  max: /*#__PURE__*/new Date(2022, 7, 15)
};
var eventList = /*#__PURE__*/_toConsumableArray(eventsRange);
var disabledList = /*#__PURE__*/_toConsumableArray(disabledDays);
var valueDate = [/*#__PURE__*/new Date(), /*#__PURE__*/new Date()];
export var Range = function Range() {
  var min = rangeProps.min,
    max = rangeProps.max;
  return /*#__PURE__*/React.createElement(CalendarBaseRange, {
    value: valueDate,
    eventList: eventList,
    disabledList: disabledList,
    min: min,
    max: max,
    onChangeValue: onChangeValue
  });
};
var doubleRangeProps = {
  min: /*#__PURE__*/new Date(2022, 4, 0),
  max: /*#__PURE__*/new Date(2022, 7, 15)
};
export var DoubleRange = function DoubleRange() {
  var min = doubleRangeProps.min,
    max = doubleRangeProps.max;
  return /*#__PURE__*/React.createElement(CalendarDoubleRange, {
    value: valueDate,
    eventList: eventList,
    disabledList: disabledList,
    min: min,
    max: max,
    onChangeValue: onChangeValue
  });
};